%global momorel 3
%global php_ver 5.2.1
%global md5sum_src0 6a89182ad4f2fe196b5e8fa6746797a5

%global pkg_name simplate

Summary: simplate module for PHP
Name: php-%{pkg_name}
Version: 0.2.6
Release: %{momorel}m%{?dist}
License: BSD
Group: Development/Languages
URL: http://simplate.aimy.jp/
# %%NoSource 0 http://pecl.php.net/get/%{pkg_name}-%{version}.tgz %{md5sum_src0}
Source0:   %{pkg_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source10: %{pkg_name}.ini

Requires: php >= %{php_ver}
BuildPrereq: php-devel >= %{php_ver}

%description
Simplate is simple template module that has similar function to Smarty-Light

%prep
# Setup main module
%setup -q -n %{pkg_name}

%{_bindir}/phpize
%configure

%build
# Build main module
%make

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}
%{__install} -m 755 -d %{buildroot}%{_sysconfdir}/php.d
%{__install} -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/php.d


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CREDITS ChangeLog simplate.php
%doc template
%{_sysconfdir}/php.d/%{pkg_name}.ini
%{_libdir}/php/modules/%{pkg_name}.so

%changelog
* Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-3m)
- rebuild against php-5.2.1

* Sat May 20 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.2.6-2m)
- use %{pkg_name}

* Sat May 06 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.2.6-2m)
- rebuild against PHP 5.1.4

* Wed Mar 1 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- initial version
